package de.dass_it.vanhelsing.gui.items;
public class StorageItem extends ItemType implements UserObjectItem{

	private String name;
	private String address;
	private String sdport;
	private String password;
	private String device;
	private String mediatype;
	private String autochanger;
	private String maximumconcurrentjobs;
	private String allowcompression;
	private String heartbeatinterval;
	
	public StorageItem() {}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getSdport() {
		return sdport;
	}

	public void setSdport(String sdport) {
		this.sdport = sdport;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getDevice() {
		return device;
	}

	public void setDevice(String device) {
		this.device = device;
	}

	public String getMediatype() {
		return mediatype;
	}

	public void setMediatype(String mediatype) {
		this.mediatype = mediatype;
	}

	public String getAutochanger() {
		return autochanger;
	}

	public void setAutochanger(String autochanger) {
		this.autochanger = autochanger;
	}

	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	public String getAllowcompression() {
		return allowcompression;
	}

	public void setAllowcompression(String allowcompression) {
		this.allowcompression = allowcompression;
	}

	public String getHeartbeatinterval() {
		return heartbeatinterval;
	}

	public void setHeartbeatinterval(String heartbeatinterval) {
		this.heartbeatinterval = heartbeatinterval;
	}
	


}
